classification
Title: Improving SyntaxError for unmatched parentheses
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-04-18 09:22 by serhiy.storchaka, last changed 2018-12-17 15:46 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6516 merged serhiy.storchaka, 2018-04-18 09:26
Messages (2)
msg315441 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-18 09:22
SyntaxError messages were improved recently in PyPy. [1] [2]  The part of this improvement in CPython (showing an expected token) is discussed in issue1634034. The following PR implements other part, related to unmatched parentheses.

Showing the number of the line containing an unmatched opening parenthesis looks as enhancement. But I'm not sure that this change is always an enhancement (in comparison with issue1634034). Syntax error for unmatched parentheses will be raised even if the code contains other syntax errors before unmatched parenthesis.

[1] https://morepypy.blogspot.de/2018/04/improving-syntaxerror-in-pypy.html
[2] https://bitbucket.org/pypy/pypy/commits/e66f24650dafbcd2ac1c443af7417eddf8e8f093
msg332011 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-17 15:34
New changeset 94cf308ee231bfbfaa9ddc50b9764545a1318773 by Serhiy Storchaka in branch 'master':
bpo-33306: Improve SyntaxError messages for unbalanced parentheses. (GH-6516)
https://github.com/python/cpython/commit/94cf308ee231bfbfaa9ddc50b9764545a1318773
History
Date User Action Args
2018-12-17 15:46:14serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-17 15:34:17serhiy.storchakasetmessages: + msg332011
2018-12-14 16:13:49serhiy.storchakalinkissue35494 dependencies
2018-04-18 09:26:22serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request6209
2018-04-18 09:22:20serhiy.storchakacreate